Groovy Documentation

## grails.converters.deep
[Java] Class JSON

    java.lang.Object
      grails.converters.deep.JSON

    @Deprecated
    public class JSON

A converter that converts domain classes, Maps, Lists, Arrays, POJOs and POGOs to JSON (Including nested Domain Classes)

deprecated:
  The Converters framework has been refactored and this made the deep Converters obsolete

Authors:
  Siegfried Puchbauer

Field Summary
`static java.lang.String` | `CONFIGURATION_NAME`

Method Summary
`protected ConverterConfiguration` | `initConfig()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONFIGURATION_NAME

    public static final java.lang.String CONFIGURATION_NAME

Method Detail

### initConfig

    @Override
    protected ConverterConfiguration initConfig()

Groovy Documentation